Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.content
Class DocumentSequenceReader

    java.lang.Object
      com.servingxml.util.xml.AbstractXmlReader
          com.servingxml.components.content.DocumentSequenceReader

All Implemented Interfaces:
  org.xml.sax.XMLReader

    public class DocumentSequenceReader

extends AbstractXmlReader

A `DocumentSequenceReader` implement a SAX 2 `XMLReader` interface for reading a sequence of XML documents.

Field Summary

Fields inherited from class com.servingxml.util.xml.AbstractXmlReader
`contentHandler, EMPTY_ATTRIBUTES, NAMESPACE_PREFIXES_FEATURE, NAMESPACES_FEATURE`

Constructor Summary
`DocumentSequenceReader(ServiceContext context, Flow flow, Name documentElementName, java.lang.String documentElementQname, RecordReaderFactory recordReaderFactory, Content contentFactory)`

Method Summary
`void` | `parse(java.lang.String systemId)`

Methods inherited from class com.servingxml.util.xml.AbstractXmlReader
`generateQname, getContentHandler, getDTDHandler, getEntityResolver, getErrorHandler, getFeature, getProperty, parse, setContentHandler, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentSequenceReader

    public DocumentSequenceReader(ServiceContext context,
                                  Flow flow,
                                  Name documentElementName,
                                  java.lang.String documentElementQname,
                                  RecordReaderFactory recordReaderFactory,
                                  Content contentFactory)

Method Detail

### parse

    public void parse(java.lang.String systemId)
               throws java.io.IOException,
                      org.xml.sax.SAXException

  Specified by:
    `parse` in interface `org.xml.sax.XMLReader`
  Specified by:
    `parse` in class `AbstractXmlReader`
  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD